#!/bin/bash

# Получаем параметр TZ из параметров ядра
TZ=$(cat /proc/cmdline | sed -n 's/.*TZ=\([^ ]*\).*/\1/p')

# Если параметр TZ найден, устанавливаем его
if [ -n "$TZ" ]; then
    echo "Setting timezone to $TZ"
    timedatectl set-timezone "$TZ"
else
    echo "No TZ parameter found in kernel command line"
fi
